<?php

// if we're looking for static files in dev, return false so they can be served.
if (PHP_SAPI == 'cli-server') {
  $url  = parse_url($_SERVER['REQUEST_URI']);
  $file = __DIR__ . $url['path'];

  // check the file types, only serve standard files
  if (preg_match('/\.(?:png|js|jpg|jpeg|gif|css)$/', $file)) {
    // does the file exist? If so, return it
    if (is_file($file))
        return false;

    // file does not exist. return a 404
    header($_SERVER['SERVER_PROTOCOL'].' 404 Not Found');
    printf('"%s" does not exist', $_SERVER['REQUEST_URI']);
    return false;
  }
}

require_once __DIR__ .  '/../src/app.php';

$app->run();

