<?php

namespace BitGoblin\Colossus\Models;

use Illuminate\Database\Eloquent\Model;

class Component extends Model {

  protected $fillable = [
    'name',
    'type',
  ];

  public function tests() {
    return $this->hasMany(Test::class);
  }

  public function results() {
    return $this->hasMany(Result::class);
  }

}
